diff -crN nakedmudv1.5/src/set_val/set_val.c nakedmudv2.0/src/set_val/set_val.c
*** nakedmudv1.5/src/set_val/set_val.c	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv2.0/src/set_val/set_val.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 0 ****
--- 1,245 ----
+ //*****************************************************************************
+ //
+ // set_val.c
+ //
+ // There are often times in-game when we will want to change the values of a
+ // field in a character or object; most DIKU muds do this via a "set" command
+ // that simply has a list of all of the fields, and how to handle performing
+ // the set. However, because of our modular nature, it would be fairly 
+ // cumbersome to have all of the possible things to set in one big list. 
+ // Instead, we provide a way that modules can install new fields that can be
+ // set for rooms, objects, and mobiles.
+ //
+ //*****************************************************************************
+ 
+ #include "../mud.h"
+ #include "../utils.h"
+ #include "../world.h"
+ #include "../zone.h"
+ #include "../socket.h"
+ #include "../character.h"
+ #include "../object.h"
+ #include "../room.h"
+ #include "../races.h"
+ #include "../handler.h"
+ 
+ #include "set_val.h"
+ 
+ 
+ 
+ //*****************************************************************************
+ //
+ // local defines, datastructures, functions, and commands
+ //
+ //*****************************************************************************
+ #define SET_TABLE_SIZE        10
+ HASHTABLE *char_set_table = NULL;
+ HASHTABLE *obj_set_table  = NULL;
+ HASHTABLE *room_set_table = NULL;
+ 
+ typedef struct set_val_data {
+   int   type;    // the type of data (int, double, long, string, etc...)
+   void *setter;  // the function to do the setting
+   void *checker; // make sure the new value is an acceptable value
+ } SET_VAL_DATA;
+ 
+ 
+ SET_VAL_DATA *newSetValData(int type, void *setter, void *checker) {
+   SET_VAL_DATA *data = malloc(sizeof(SET_VAL_DATA));
+   data->type    = type;
+   data->setter  = setter;
+   data->checker = checker;
+   return data;
+ }
+ 
+ void deleteSetValData(SET_VAL_DATA *data) {
+   free(data);
+ }
+ 
+ 
+ void try_set(CHAR_DATA *ch, void *tgt, HASHTABLE *table, 
+ 	     const char *field, const char *val) {
+   SET_VAL_DATA *data = hashGet(table, field);
+   if(data == NULL)
+     send_to_char(ch, "You cannot set that field!\r\n");
+   else {
+     // make sure this is an acceptable value
+     bool set_ok = TRUE;
+     if(data->checker != NULL) {
+       if(data->type == SET_TYPE_INT)
+ 	set_ok = ((bool (*)(int)) data->checker)(atoi(val));
+       else if(data->type == SET_TYPE_LONG)
+ 	set_ok = ((bool (*)(long)) data->checker)(atol(val));
+       else if(data->type == SET_TYPE_DOUBLE)
+ 	set_ok = ((bool (*)(double)) data->checker)(atof(val));
+       else if(data->type == SET_TYPE_STRING)
+ 	set_ok = ((bool (*)(const char *)) data->checker)(val);
+     }
+ 
+     // make sure the set is ok
+     if(set_ok == FALSE) {
+       send_to_char(ch, "'%s' is not an acceptable value!\r\n", val);
+       return;
+     }
+     
+     // perform the change
+     if(data->type == SET_TYPE_INT)
+       ((void (*)(void *, int)) data->setter)(tgt, atoi(val));
+     else if(data->type == SET_TYPE_LONG)
+       ((void (*)(void *, long)) data->setter)(tgt, atol(val));
+     else if(data->type == SET_TYPE_DOUBLE)
+       ((void (*)(void *, double)) data->setter)(tgt, atof(val));
+     else if(data->type == SET_TYPE_STRING)
+       ((void (*)(void *, const char *)) data->setter)(tgt, val);
+     send_to_char(ch, "Ok.\r\n");
+   }
+ }
+ 
+ 
+ //
+ // used for setting; make sure the value we're trying to set is in an
+ // acceptable range.
+ //
+ bool isLevel(int level) {
+   return (level >= LEVEL_PLAYER && level <= MAX_LEVEL);
+ }
+ 
+ // are we trying to set a value from an argument, or from our notepad?
+ #define SET_SUBCMD_SET        0
+ #define SET_SUBCMD_SETPAD     1
+ 
+ //
+ // The entrypoint to the set utility for players in the MUD
+ //   usage: set [thing] [field] [value]
+ //
+ // thing is expected to be a character's name, an object's name, a room's
+ // vnum, or simply "room" for the current room. Optionally, the function can
+ // take a value from the player's notepad instead of from the command line (this
+ // is useful for if you need to write long lengths of formatted text).
+ //
+ COMMAND(cmd_set) {
+   char name [SMALL_BUFFER];
+   char field[SMALL_BUFFER];
+   arg = two_args(arg, name, field);
+ 
+   // check to see if we're trying to set from our notepad. Also, make sure
+   // we have a socket and CAN access our notepad.
+   /*
+   if(subcmd == SET_SUBCMD_SETPAD) {
+     if(charGetSocket(ch) && *socketGetNotepadPtr(charGetSocket(ch)) != NULL)
+       arg = *socketGetNotepadPtr(charGetSocket(ch));
+     else {
+       send_to_char(ch, "Your notepad currently has no contents.\r\n");
+       return;
+     }
+   }
+   */
+   if(!*arg || !*name || !*field)
+     send_to_char(ch, "Set which value on what?\r\n");
+   // are we trying to set a field on a room?
+   else if(!strcasecmp("room", name)) {
+     if(!canEditZone(worldZoneBounding(gameworld, roomGetVnum(charGetRoom(ch))),
+ 		    ch))
+       send_to_char(ch, "You are not authorized to edit this zone.\r\n");
+     else
+       try_set(ch, charGetRoom(ch), room_set_table, field, arg);
+   }
+   else if(isdigit(*name) && worldGetRoom(gameworld, atoi(name))) {
+     if(!canEditZone(worldZoneBounding(gameworld, atoi(name)), ch))
+       send_to_char(ch, "You are not authorized to edit this zone.\r\n");
+     else
+       try_set(ch, worldGetRoom(gameworld, atoi(name)),room_set_table,field,arg);
+   }
+   else {
+     int found = FOUND_NONE;
+     void *tgt = NULL;
+     tgt = generic_find(ch, name, FIND_TYPE_CHAR | FIND_TYPE_OBJ,
+ 		       FIND_SCOPE_ALL | FIND_SCOPE_VISIBLE, FALSE, &found);
+ 
+     if(found == FOUND_CHAR) {
+       if(charGetLevel(ch) <= charGetLevel(tgt) && ch != tgt)
+ 	send_to_char(ch, "Sorry, %s is too high a level!\r\n", 
+ 		     see_char_as(ch, tgt));
+       else
+ 	try_set(ch, tgt, char_set_table, field, arg);
+     }
+     else if(found == FOUND_OBJ)
+       try_set(ch, tgt, obj_set_table, field, arg);
+     else
+       send_to_char(ch, "What was the target you were trying to modify?\r\n");
+   }
+ }
+ 
+ 
+ 
+ //*****************************************************************************
+ //
+ // implementation of set_val.h
+ //
+ //*****************************************************************************
+ void init_set() {
+   // build all of our tables
+   char_set_table = newHashtable(SET_TABLE_SIZE);
+   obj_set_table  = newHashtable(SET_TABLE_SIZE);
+   room_set_table = newHashtable(SET_TABLE_SIZE);
+ 
+   // add in the default sets for the core of the MUD
+   /************************************************************/
+   /*                         WARNING                          */
+   /*                                                          */
+   /* If you are wanting to add new "set" fields to the set    */
+   /* module, you are best off adding them with whatever module*/
+   /* the new data is included in. If the term "module" is not */
+   /* making any sense to you, READ THE DOCUMENTATION!         */
+   /************************************************************/
+ 
+   // PLAYER SETS
+   add_set("desc",  LEVEL_BUILDER, SET_CHAR, SET_TYPE_STRING, charSetDesc, NULL);
+   add_set("rdesc", LEVEL_BUILDER, SET_CHAR, SET_TYPE_STRING, charSetRdesc,NULL);
+   add_set("name",  LEVEL_BUILDER, SET_CHAR, SET_TYPE_STRING, charSetName, NULL);
+   add_set("mrdesc",LEVEL_BUILDER, SET_CHAR, SET_TYPE_STRING, charSetMultiRdesc, NULL);
+   add_set("mname", LEVEL_BUILDER, SET_CHAR, SET_TYPE_STRING, charSetMultiName, NULL);
+   add_set("keywords",LEVEL_BUILDER,SET_CHAR,SET_TYPE_STRING, charSetKeywords, NULL);
+   add_set("dialog",LEVEL_BUILDER, SET_CHAR, SET_TYPE_INT, charSetDialog,  NULL);
+   add_set("level", LEVEL_ADMIN,   SET_CHAR, SET_TYPE_INT, charSetLevel,isLevel);
+   add_set("race",  LEVEL_BUILDER, SET_CHAR, SET_TYPE_STRING,charSetRace,isRace);
+ 
+   // ROOM SETS
+   add_set("name", LEVEL_BUILDER, SET_ROOM, SET_TYPE_STRING, roomSetName, NULL);
+   add_set("desc", LEVEL_BUILDER, SET_ROOM, SET_TYPE_STRING, roomSetDesc, NULL);
+ 
+   // OBJECT SETS
+   add_set("name",    LEVEL_BUILDER,SET_OBJECT,SET_TYPE_STRING,objSetName, NULL);
+   add_set("desc",    LEVEL_BUILDER,SET_OBJECT,SET_TYPE_STRING,objSetDesc, NULL);
+   add_set("rdesc",   LEVEL_BUILDER,SET_OBJECT,SET_TYPE_STRING,objSetRdesc,NULL);
+   add_set("name",    LEVEL_BUILDER,SET_OBJECT,SET_TYPE_STRING,objSetName, NULL);
+   add_set("mrdesc",  LEVEL_BUILDER,SET_OBJECT,SET_TYPE_STRING,objSetMultiRdesc, NULL);
+   add_set("mname",   LEVEL_BUILDER,SET_OBJECT,SET_TYPE_STRING,objSetMultiName, NULL);
+   add_set("keywords",LEVEL_BUILDER,SET_OBJECT,SET_TYPE_STRING,objSetKeywords, NULL);
+ 
+   // now, add the admin commands for working with set
+   add_cmd("set", NULL, cmd_set, SET_SUBCMD_SET, POS_UNCONCIOUS, POS_FLYING,
+ 	  LEVEL_ADMIN, FALSE, FALSE);
+   add_cmd("setpad", NULL, cmd_set, SET_SUBCMD_SETPAD, POS_UNCONCIOUS,POS_FLYING,
+ 	  LEVEL_ADMIN, FALSE, FALSE);
+ }
+ 
+ 
+ void add_set(const char *name, int min_lev, int set_for, int type, void *setter, void *checker) {
+   HASHTABLE *table = NULL;
+   // first, find our table
+   if     (set_for == SET_CHAR)   table = char_set_table;
+   else if(set_for == SET_OBJECT) table = obj_set_table;
+   else if(set_for == SET_ROOM)   table = room_set_table;
+ 
+   // if there was no table, we can't do anything
+   if(table == NULL) return;
+ 
+   // If old data exists, remove it
+   SET_VAL_DATA *old_set = hashRemove(table, name);
+   if(old_set) deleteSetValData(old_set);
+ 
+   // now, build our new data and add it to the table
+   SET_VAL_DATA *new_set = newSetValData(type, setter, checker);
+   hashPut(table, name, new_set);
+ }
diff -crN nakedmudv1.5/src/set_val/set_val.d nakedmudv2.0/src/set_val/set_val.d
*** nakedmudv1.5/src/set_val/set_val.d	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv2.0/src/set_val/set_val.d	2010-11-01 15:54:18.000000000 -0500
***************
*** 0 ****
--- 1,4 ----
+ set_val/set_val.d set_val/set_val.o: set_val/set_val.c mud.h wrapsock.h property_table.h list.h \
+   map.h hashtable.h set.h buffer.h bitvector.h utils.h world.h zone.h \
+   socket.h character.h object.h room.h races.h handler.h \
+   set_val/set_val.h
diff -crN nakedmudv1.5/src/set_val/set_val.h nakedmudv2.0/src/set_val/set_val.h
*** nakedmudv1.5/src/set_val/set_val.h	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv2.0/src/set_val/set_val.h	2010-11-01 15:54:18.000000000 -0500
***************
*** 0 ****
--- 1,44 ----
+ #ifndef SET_VAL_H
+ #define SET_VAL_H
+ //*****************************************************************************
+ //
+ // set_val.h
+ //
+ // There are often times in-game when we will want to change the values of a
+ // field in a character or object; most DIKU muds do this via a "set" command
+ // that simply has a list of all of the fields, and how to handle performing
+ // the set. However, because of our modular nature, it would be fairly 
+ // cumbersome to have all of the possible things to set in one big list. 
+ // Instead, we provide a way that modules can install new fields that can be
+ // set for rooms, objects, and mobiles.
+ //
+ //*****************************************************************************
+ 
+ #define SET_TYPE_INT       0
+ #define SET_TYPE_DOUBLE    1
+ #define SET_TYPE_LONG      2
+ #define SET_TYPE_STRING    3
+ 
+ #define SET_CHAR           0
+ #define SET_OBJECT         1
+ #define SET_ROOM           2
+ 
+ 
+ //
+ // prepare the set utility for use
+ //
+ void init_set();
+ 
+ 
+ //
+ // Adds a new field that can be set for the type of thing we are trying to
+ // modify. type is the datatype we're modifying (int, double, long, string)
+ // and setter is the function that takes the thing to be set (char, obj, room)
+ // and the new value. If there are constraints on the applicable values that
+ // can be set, checker should be provided. It takes in the to-be-set value and
+ // makes sure it is OK, returning TRUE if it is and FALSE if it is not. The
+ // checker function should be of the form:
+ //
+ void add_set(const char *name, int min_lev, int set_for, int type, void *setter, void *checker);
+ 
+ #endif // SET_VAL_H
diff -crN nakedmudv1.5/src/socials/module.mk nakedmudv2.0/src/socials/module.mk
*** nakedmudv1.5/src/socials/module.mk	2010-11-01 15:54:17.000000000 -0500
--- nakedmudv2.0/src/socials/module.mk	2010-11-01 15:54:18.000000000 -0500
***************
*** 1,2 ****
  # source files we contain
! SRC += socials/socials.c
--- 1,2 ----
  # source files we contain
! SRC += socials/socials.c socials/socedit.c
diff -crN nakedmudv1.5/src/socials/socedit.c nakedmudv2.0/src/socials/socedit.c
*** nakedmudv1.5/src/socials/socedit.c	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv2.0/src/socials/socedit.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 0 ****
--- 1,190 ----
+ //*****************************************************************************
+ //
+ // socedit.c
+ //
+ // socedit is a set of tools for editing socials online. Socedit requires that
+ // olc2 be installed.
+ //
+ //*****************************************************************************
+ 
+ #include "../mud.h"
+ #include "../character.h"
+ #include "../socket.h"
+ #include "../olc2/olc.h"
+ 
+ #include "socials.h"
+ 
+ 
+ 
+ //*****************************************************************************
+ // the functions needed by olc2
+ //*****************************************************************************
+ #define SOCEDIT_CHAR_NOTGT      1
+ #define SOCEDIT_ROOM_NOTGT      2
+ #define SOCEDIT_CHAR_SELF       3
+ #define SOCEDIT_ROOM_SELF       4
+ #define SOCEDIT_CHAR_TGT        5
+ #define SOCEDIT_VICT_TGT        6
+ #define SOCEDIT_ROOM_TGT        7
+ #define SOCEDIT_MIN_POS         8
+ #define SOCEDIT_MAX_POS         9
+ 
+ void socedit_menu(SOCKET_DATA *sock, SOCIAL_DATA *social) {
+   send_to_socket(sock,
+ 		 "{y[{c%s{y]\r\n"
+ 		 "{g1) to char notgt: {c%s\r\n"
+ 		 "{g2) to room notgt: {c%s\r\n"
+ 		 "{g3) to char self : {c%s\r\n"
+ 		 "{g4) to room self : {c%s\r\n"
+ 		 "{g5) to char tgt  : {c%s\r\n"
+ 		 "{g6) to vict tgt  : {c%s\r\n"
+ 		 "{g7) to room tgt  : {c%s\r\n"
+ 		 "{g8) minimum pos  : {c%s\r\n"
+ 		 "{g9) maximum pos  : {c%s\r\n"
+ 		 "\r\n"
+ 		 "{gTo assocciate/unassociate commands, use soclink and socunlink\r\n",
+ 		 socialGetCmds(social),
+ 		 socialGetCharNotgt(social),
+ 		 socialGetRoomNotgt(social),
+ 		 socialGetCharSelf(social),
+ 		 socialGetRoomSelf(social),
+ 		 socialGetCharTgt(social),
+ 		 socialGetVictTgt(social),
+ 		 socialGetRoomTgt(social),
+ 		 posGetName(socialGetMinPos(social)),
+ 		 posGetName(socialGetMaxPos(social))
+ 		 );
+ }
+ 
+ int  socedit_chooser(SOCKET_DATA *sock, SOCIAL_DATA *social, char option) {
+   switch(toupper(option)) {
+   case '1':
+     send_to_socket(sock, 
+ 		   "The message to character when no target is supplied : ");
+     return SOCEDIT_CHAR_NOTGT;
+   case '2':
+     send_to_socket(sock, 
+ 		   "The message to room when no target is supplied : ");
+     return SOCEDIT_ROOM_NOTGT;
+   case '3':
+     send_to_socket(sock, 
+ 		   "The message to character when target is self : ");
+     return SOCEDIT_CHAR_SELF;
+   case '4':
+     send_to_socket(sock, 
+ 		   "The message to room when target is self : ");
+     return SOCEDIT_ROOM_SELF;
+   case '5':
+     send_to_socket(sock, 
+ 		   "The message to character when a target is found : ");
+     return SOCEDIT_CHAR_TGT;
+   case '6':
+     send_to_socket(sock, 
+ 		   "The message to target when a target is found : ");
+     return SOCEDIT_VICT_TGT;
+   case '7':
+     send_to_socket(sock, 
+ 		   "The message to room when a target is found : ");
+     return SOCEDIT_ROOM_TGT;
+   case '8':
+     olc_display_table(sock, posGetName, NUM_POSITIONS, 2);
+     return SOCEDIT_MIN_POS;
+   case '9':
+     olc_display_table(sock, posGetName, NUM_POSITIONS, 2);
+     return SOCEDIT_MAX_POS;
+   default: 
+     return MENU_CHOICE_INVALID;
+   }
+ }
+ 
+ bool socedit_parser(SOCKET_DATA *sock, SOCIAL_DATA *social, int choice, 
+ 		    const char *arg){
+   switch(choice) {
+   case SOCEDIT_CHAR_NOTGT:
+     socialSetCharNotgt(social, arg);
+     return TRUE;
+   case SOCEDIT_ROOM_NOTGT:
+     socialSetRoomNotgt(social, arg);
+     return TRUE;
+   case SOCEDIT_CHAR_SELF:
+     socialSetCharSelf(social, arg);
+     return TRUE;
+   case SOCEDIT_ROOM_SELF:
+     socialSetRoomSelf(social, arg);
+     return TRUE;
+   case SOCEDIT_CHAR_TGT:
+     socialSetCharTgt(social, arg);
+     return TRUE;
+   case SOCEDIT_VICT_TGT:
+     socialSetVictTgt(social, arg);
+     return TRUE;
+   case SOCEDIT_ROOM_TGT:
+     socialSetRoomTgt(social, arg);
+     return TRUE;
+   case SOCEDIT_MIN_POS: {
+     int val = atoi(arg);
+     if(!isdigit(*arg) || val < 0 || val >= NUM_POSITIONS)
+       return FALSE;
+     socialSetMinPos(social, val);
+     return TRUE;
+   }
+   case SOCEDIT_MAX_POS: {
+     int val = atoi(arg);
+     if(!isdigit(*arg) || val < 0 || val >= NUM_POSITIONS)
+       return FALSE;
+     socialSetMaxPos(social, val);
+     return TRUE;
+   }
+   default: 
+     return FALSE;
+   }
+ }
+ 
+ 
+ 
+ //*****************************************************************************
+ // commands for entering socedit
+ //*****************************************************************************
+ void save_social(SOCIAL_DATA *social) {
+   save_socials();
+ }
+ 
+ COMMAND(cmd_socedit) {
+   SOCIAL_DATA *social;
+ 
+   if(!arg || !*arg)
+     send_to_char(ch, "Which social are you trying to edit?\r\n");
+   else {
+     // strip down to one argument
+     one_arg(arg, arg);
+ 
+     // find the social
+     social = get_social(arg);
+ 
+     // make sure we're not trying to edit a command
+     if(social == NULL && cmd_exists(arg))
+       send_to_char(ch, "But that is already a command!\r\n");
+     else {
+       // make a new one
+       if(social == NULL) {
+ 	social = newSocial(arg, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
+ 			   POS_STANDING, POS_STANDING);
+ 	add_social(social);
+       }
+ 
+       // set up the OLC
+       do_olc(charGetSocket(ch), socedit_menu, socedit_chooser, socedit_parser,
+ 	     socialCopy, socialCopyTo, deleteSocial, save_social, social);
+     }
+   }
+ }
+ 
+ 
+ 
+ //*****************************************************************************
+ // implementation of socedit.h
+ //*****************************************************************************
+ void init_socedit(void) {
+   add_cmd("socedit", NULL, cmd_socedit, 0, POS_UNCONCIOUS, POS_FLYING,
+ 	  LEVEL_BUILDER, FALSE, TRUE);
+ }
diff -crN nakedmudv1.5/src/socials/socedit.d nakedmudv2.0/src/socials/socedit.d
*** nakedmudv1.5/src/socials/socedit.d	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv2.0/src/socials/socedit.d	2010-11-01 15:54:18.000000000 -0500
***************
*** 0 ****
--- 1,3 ----
+ socials/socedit.d socials/socedit.o: socials/socedit.c mud.h wrapsock.h property_table.h list.h \
+   map.h hashtable.h set.h buffer.h bitvector.h character.h socket.h \
+   olc2/olc.h socials/socials.h
diff -crN nakedmudv1.5/src/socials/socedit.h nakedmudv2.0/src/socials/socedit.h
*** nakedmudv1.5/src/socials/socedit.h	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv2.0/src/socials/socedit.h	2010-11-01 15:54:18.000000000 -0500
***************
*** 0 ****
--- 1,16 ----
+ #ifndef SOCEDIT_H
+ #define SOCEDIT_H
+ //*****************************************************************************
+ //
+ // socedit.h
+ //
+ // socedit is a set of tools for editing socials online. Socedit requires that
+ // olc2 be installed.
+ //
+ //*****************************************************************************
+ 
+ //
+ // prepare socedit for use. should be called by init_socials()
+ void init_socedit(void);
+ 
+ #endif // SOCEDIT_H
diff -crN nakedmudv1.5/src/socials/socials.c nakedmudv2.0/src/socials/socials.c
*** nakedmudv1.5/src/socials/socials.c	2010-11-01 15:54:17.000000000 -0500
--- nakedmudv2.0/src/socials/socials.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 16,21 ****
--- 16,22 ----
  #include "../inform.h"
  #include "../character.h"
  
+ #include "socedit.h"
  #include "socials.h"
  
  
***************
*** 458,464 ****
    SOCIAL_DATA     *data = NULL;
  
    ITERATE_HASH(cmd, data, hash_i)
!     add_cmd(cmd, NULL, cmd_social, 0, POS_STANDING, POS_STANDING,
  	    LEVEL_PLAYER, TRUE, FALSE);
    deleteHashIterator(hash_i);
  
--- 459,465 ----
    SOCIAL_DATA     *data = NULL;
  
    ITERATE_HASH(cmd, data, hash_i)
!     add_cmd(cmd, NULL, cmd_social, 0, data->min_pos, data->max_pos, 
  	    LEVEL_PLAYER, TRUE, FALSE);
    deleteHashIterator(hash_i);
  
***************
*** 472,477 ****
--- 473,480 ----
  
    // let add_social know it can start saving again
    in_social_init = FALSE;
+ 
+   init_socedit();
  }
  
  
diff -crN nakedmudv1.5/src/socials/socials.d nakedmudv2.0/src/socials/socials.d
*** nakedmudv1.5/src/socials/socials.d	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv2.0/src/socials/socials.d	2010-11-01 15:54:18.000000000 -0500
***************
*** 0 ****
--- 1,3 ----
+ socials/socials.d socials/socials.o: socials/socials.c mud.h wrapsock.h property_table.h list.h \
+   map.h hashtable.h set.h buffer.h bitvector.h utils.h storage.h \
+   handler.h inform.h character.h socials/socedit.h socials/socials.h
